package com.yida.data.device.studentCard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.card.EduStudentCard;
import com.yida.data.common.core.entity.card.EduStudentCardFence;
import com.yida.data.device.vo.studentCard.FenceListVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 电子学生证-电子围栏主信息 Mapper
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:07:58
 */
public interface EduStudentCardFenceMapper extends BaseMapper<EduStudentCardFence> {

    List<FenceListVO> listFence(@Param("schoolId") Long schoolId,
        @Param("imei") String imei,
        @Param("createType") Integer createType,
        @Param("name") String name);

    List<EduStudentCardFence> listFenceByImei(String imei);

    EduStudentCardFence getFenceByJimiFenceName(@Param("jimiName") String jimiName);

    Integer countFenceNum(String imei);

    List<EduStudentCard> listCardByFence(@Param("ids") List<Long> ids);

}
